## console-setup 1.13

=== Makefile ===
etcdir = /etc
prefix = /usr/local
xkbdir = $(shell pwd)/Keyboard/ckb
export xkbdir

bootprefix = $(patsubst %/usr,%/,$(prefix:%/=%))

SHELL = /bin/sh

all: build

build:
	cd Fonts && $(MAKE) build
	cd Keyboard && $(MAKE) build
	touch build

.PHONY: install
install: build
	install -d $(prefix)/share/consolefonts/
	install -m 644 Fonts/*.psf.gz $(prefix)/share/consolefonts/
	install -d $(prefix)/share/consoletrans
	install -m 644 Keyboard/acm/*.acm.gz $(prefix)/share/consoletrans
	install -d  $(prefix)/bin/
	install Keyboard/ckbcomp $(prefix)/bin/
	install -d  $(bootprefix)/bin/
	install setupcon $(bootprefix)/bin/
	install -d $(etcdir)/console-setup
	install -m 644 Keyboard/compose.*.inc $(etcdir)/console-setup/
	cp -r Keyboard/ckb/ $(etcdir)/console-setup/
#	cp Keyboard/rules $(etcdir)/console-setup/ckb/rules/console
#	cp Keyboard/rules.xml $(etcdir)/console-setup/ckb/rules/console.xml
	install -d $(etcdir)/default
	install -m 644 config $(etcdir)/default/console-setup

.PHONY: uninstall
uninstall: build
	-for font in Fonts/*.psf.gz; do \
		rm $(prefix)/share/consolefonts/$${font##*/}; \
	done
	-for acm in Keyboard/acm/*.acm.gz; do \
		rm $(prefix)/share/consoletrans/$${acm##*/}; \
	done
	-rm -rf $(etcdir)/console-setup/
	-rm $(prefix)/bin/ckbcomp
	-rm $(bootprefix)/bin/setupcon

.PHONY: clean
clean:
	cd Fonts && $(MAKE) clean
	cd Keyboard && $(MAKE) clean
	-rm -f *~
	-rm -f build

.PHONY: maintainer-clean
maintainer-clean: clean
	cd Fonts && $(MAKE) maintainer-clean
	cd Keyboard && $(MAKE) maintainer-clean

## console-setup 1.7ubuntu19

=== debian/changelog ===
console-setup (1.7ubuntu19) edgy; urgency=low

  * If upgrading from an older version than this one, check for the Terminus
    font face and change it to VGA (if you do like it, you can change it
    back and it won't be touched again). If Terminus was in use, also check
    for the 12x6 font size and change it to 16, since that was apparently
    selected due to a strange use-of-debconf bug.
  * Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
    tty, since the current tty might belong to X and changing X's tty out of
    raw mode is a very bad idea (closes: Malone #66929; requires kbd 1.12-15
    or console-tools 1:0.2.3dbs-62ubuntu10).
  * Adjust the default keyboard model for Brazilian (closes: Malone #66774)
    and Japanese (closes: Malone #66719) layouts.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 20:16:09 +0100

console-setup (1.7ubuntu18) edgy; urgency=low

  * Change the default font to VGA where supported; Terminus does not seem
    to have widespread aesthetic appeal.
  * Use jp(latin),jp rather than us,jp by default for Japanese, and set the
    model to jp106 (closes: Malone #63915).
  * Build-depend on keymapper (>= 0.5.3-7) for improved Alt-handling logic.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 02:42:15 +0100

console-setup (1.7ubuntu17) edgy; urgency=low

  * Only default to Canadian layout for fr_CA; use U.S. English for other
    *_CA locales (closes: Malone #64418).
  * Install kbdnames-maker in /usr/share/console-setup, to make it easier
    for non-Perl programs to use KeyboardNames.pl.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Oct 2006 12:52:36 +0100

console-setup (1.7ubuntu16) edgy; urgency=low

  * Backport from trunk (Anton Zinoviev, closes: Malone #63921):
    - New mini-font georgian16.bdf to be used for the Georgian letters in
      Fixed16, author: Gia Shervashidze.  Thanks to Vladimer Sichinava.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 11:37:15 +0100

console-setup (1.7ubuntu15) edgy; urgency=low

  * Fix build failure caused by wrong path to KeyboardNames.pl.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 15:44:59 +0100

console-setup (1.7ubuntu14) edgy; urgency=low

  * Ship KeyboardNames.pl in /usr/share/console-setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 11:09:27 +0100

console-setup (1.7ubuntu13) edgy; urgency=low

  * Remove obsolete XORGCONFIGFILE variable.
  * Reset console-setup/toggle to the default if it's set to "No toggling"
    and you select a non-Latin layout (closes: Malone #63178).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Oct 2006 14:47:58 +0100

console-setup (1.7ubuntu12) edgy; urgency=low

  * Don't run the init script (and thereby setupcon) on upgrade; just print
    a message telling you to run setupcon from a virtual console if you want
    to update your console configuration (closes: Malone #61723).
  * Update debian-installer/keymap handling from trunk (Anton Zinoviev).
    Drop /etc/X11/xorg.conf upgrade handling, also per trunk, as I've been
    convinced that that is much less safe due to the prevalence of GNOME/KDE
    keymap overrides, and furthermore it made it more difficult to have
    ubiquity tell console-setup just to guess a default from the locale.
  * Drop the priority of the model and layout questions to medium if a
    configuration file already exists, since they'll have been asked at
    medium first time round and if we then ask them at critical the second
    time round they will be unexpectedly shown (closes: Malone #59883).
  * Backport from trunk:
    - config.proto: Handle properly the case when the user backs up from the
      first Debconf question.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 Sep 2006 00:40:48 +0100

console-setup (1.7ubuntu11) edgy; urgency=low

  * Fix default layout for Bosnian and default variant for Hindi.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 15:57:23 +0100

console-setup (1.7ubuntu10) edgy; urgency=low

  * console-setup Depends: perl; something in ckbcomp is causing perl to
    'use utf8' implicitly, and some of the necessary modules aren't in
    perl-base (closes: Malone #60203).
  * Allow preseeding of console-setup/modelcode, console-setup/layoutcode,
    console-setup/variantcode, console-setup/optionscode, and
    console-setup/fontsize.
  * Don't set up the console font at boot time if usplash is running, since
    that seems to trigger a kernel bug that corrupts the usplash display
    (closes: Malone #60483).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Sep 2006 01:01:54 +0100

console-setup (1.7ubuntu9) edgy; urgency=low

  * Switch build-dependency and dependency back to xkb-data, now that it's
    fixed. Make the dependencies versioned until after Edgy is released to
    avoid problems with partially-upgraded systems where only the broken
    xkb-data is installed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Sep 2006 10:24:20 +0100

console-setup (1.7ubuntu8) edgy; urgency=low

  * Add setupcon --force option and use it in postinst (Anton Zinoviev,
    http://lists.alioth.debian.org/pipermail/pkg-kbd-devel/2006-August/000278.html).
  * Check $DISPLAY rather than /proc/self/fd/2 in /etc/init.d/keyboard-setup
    and /etc/init.d/console-setup; use setupcon --force.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Sep 2006 09:47:36 +0100

console-setup (1.7ubuntu7) edgy; urgency=low

  * Handle debian-installer/locale not being available (closes: Malone
    #59718).
  * Remove stray Keyboard/amiga.ekmap in source package.
  * Fix a potential infinite loop in the config script while moving past the
    variant question with an unsupported layout.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Sep 2006 12:07:53 +0100

console-setup (1.7ubuntu6) edgy; urgency=low

  * If there's no console-setup configuration when console-setup.config
    runs, then:
    - If there is an xorg.conf, set the defaults from there.


=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>
Build-Depends-Indep: debhelper (>= 5), perl, po-debconf, libxml-parser-perl, xkb-data (>= 0.8-7ubuntu2), keymapper (>= 0.5.3-7)
Build-Depends: debhelper (>= 5), perl, libxml-parser-perl
Standards-Version: 3.7.2

Package: console-setup
Section: utils
Architecture: all
Recommends: kbd (>= 1.12-15) | console-tools (>= 1:0.2.3dbs-62ubuntu10)
Depends: debconf (>= 0.5) | debconf-2.0, perl, console-terminus (>= 4.16), xkb-data (>= 0.8-7ubuntu2), lsb-base (>= 3.0-6)
Description: Setup the font and the keyboard on the console
 The package provides the Linux console with the same versatile
 keyboard configuration that X Window uses.  As a result there is no
 need to duplicate or change the keyboard files just to make simple
 customisations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the world
 languages.  It provides an unified set of font faces - the classic
 VGA, the simplistic Fixed, and the cleaned Terminus, TerminusBold and
 TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: debconf (>= 0.5) | debconf-2.0, lsb-base (>= 3.0-6)
Conflicts: console-setup, console-terminus
Description: An experimental micro version of console-setup package
 This package can be useful when Debian system is installed on
 handhelds or other devices with small storage space.  It was created
 as proof of concept for a method to implement versatile keyboard
 configuration in the Debian installer.
 .
 This package supports only UTF-8.  The legacy 8-bit encodings are not
 supported.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: console-setup-ekmap, console-setup-fonts-udeb, archdetect, cdebconf-udeb, console-tools-udeb, cdebconf-newt-detect-keys
Architecture: all
Description: Configure the keyboard
 This is an experimental replacement of kbd-chooser.  It depends on
 loadkeys which does not exist in the installer currently.
XC-Package-Type: udeb
XB-Installer-Menu-Item: 12

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for amiga keyboards
XC-Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for ataritt keyboards
XC-Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for macintoshold keyboards
XC-Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for pc keyboards
XC-Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for sun4 keyboards
XC-Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for sun5 keyboards
XC-Package-Type: udeb

Package: console-setup-fonts-udeb
Section: debian-installer
Priority: extra
Architecture: all
Description: Console fonts for Debian Installer
XC-Package-Type: udeb

Package: bdf2psf
Architecture: all
Section: utils
Priority: optional
Depends: perl
Description: Font converter to generate console fonts from BDF source fonts
 This is a command line converter that can be used in scripts to build
 automatically console fonts from BDF sources.  The converter comes
 with a collection of font encodings that cover many of the world
 languages; notice that the font encoding (so called SFM) does not
 need to follow the actually used encoding (so called ACM).  When the
 source font does not define a glyph for a symbol in the font encoding
 the glyph position in the console font is not wasted but used for
 another symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the 8th column of the glyph matrix of symbols
 positioned in the pseudographic area to the 9th column.  In order to
 create fonts for text video modes the width of the glyph matrix of
 the source BDF font should be 7, 8 or 9 pixels, otherwise the
 converter creates fonts suitable for framebuffer only.

## console-setup 1.13

=== debian/changelog ===
console-setup (1.13) unstable; urgency=low

  * Unfuzzy the translations.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Nov 2006 21:24:44 +0200

console-setup (1.12) unstable; urgency=low

  * standards.equivalents: approximate symbols used by some popular
    console applications.
  * New German translation.  Thanks to Matthias Julius, closes: #396815.
  * Updated French translation.  Thanks to Jean-Luc Coulon, closes: #398023.
  * Allign the choices of console-setup/codeset.
  * Updated Fonts/bdf/georgian16.psf (author: Gia Shervashidze).  Update
    provided by Vladimer Sichinava.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Nov 2006 17:30:40 +0200

console-setup (1.11) unstable; urgency=low

  * Instead of X keycode 123 (<KPDC>) map X keycode 211 (<AB11>) to kernel
    keycode 89.  Thanks to Rafael Almeida, closes: #394962.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 24 Oct 2006 21:08:24 +0300

console-setup (1.10) unstable; urgency=low

  * Update ckbcomp for the new xkb-data (now not all xkb_keycodes in
    keycodes/macintosh are old macintosh).

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 23 Oct 2006 11:54:06 +0300

console-setup (1.9) unstable; urgency=low

  * Remove the udebs in order to make the migration from unstable to
    testing automatic.
  * Update the version of the Terminus font from 4.16 to 4.20.  (This is
    not important for Debian, since in Debian the Terminus font is
    provided by the console-terminus package.)
  * New mini-font georgian16.bdf to be used for the Georgian letters in
    Fixed16, author: Gia Shervashidze.  Thanks to Vladimer Sichinava.
  * Add FAQ.  Thanks to Thue Janus Kristensen, closes: #389963, #389970.
  * Fix two problems reported by Martin-Éric Racine.  Closes: #393850.
    - console-setup-mini should not ask questions in debconf for the encoding
      since only UTF-8 is supported.
    - make the purpose of the codeset question clearer.
  * Use user-friendly choices in the codeset question.
  * Updated Bulgarian translation of the templates.
  * Add some capital Greek letters to standard.equivalents and approximate
    BOX DRAWINGS HEAVY HORIZONTAL by BOX DRAWINGS LIGHT HORIZONTAL.
  * Make the bullet to be the first symbol in useful.set - it is used by w3m.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Oct 2006 01:53:11 +0300

console-setup (1.8) unstable; urgency=low

  * setupcon: new option --force to skip the 'are we on the console'
    check.  To be used for d-i because there /proc/self/fd/2 points to
    pipe.  Thanks to Tollef Fog Heen.
  * config.proto: Handle C locale with debian-installer/locale not being
    available.  Thanks to Colin Watson for the bug report and the patch,
    closes: #386835.
  * config.proto: Handle properly the case when the user backs up from the
    first Debconf question.  In the template file change "none" to "this
    default value is completely ignored".  Thanks to Colin Watson, 
    closes: #386837.
  * Handle properly the cs layout in config.proto and kbdcompiler.  Thanks
    to Colin Watson, closes: #386838.
  * Supply correct debian/po/POTFILES.in.  Thanks to Thomas Huriaux,
    closes: #387631.
  * Use /lib/lsb/init-functions in the init scripts when available.
    Thanks to Colin Watson, closes: #386844.
  * config.proto: Try to use the value of debian-installer/keymap to get
    default keyboard layout and variant and when that is possible ask the
    corresponding Debconf questions with medium instead of critical
    priority.  Thanks to Colin Watson, closes: #386836.
  * config.proto(ask_debconf): when the provided default value is
    unavailable, try to use the empty string.  Useful when asking for the
    keyboard variant.
  * Add README.Debian for console-setup.
  * Add boot script order header to the init scripts.  Thanks to
    Martin-Éric Racine, closes: #386545.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 19 Sep 2006 11:56:15 +0300

=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>
Build-Depends-Indep: debhelper (>= 5), perl, libxml-parser-perl, xkb-data (>= 0.9)
Build-Depends: debhelper (>= 5), perl, po-debconf, libxml-parser-perl
Standards-Version: 3.7.2

Package: console-setup
Section: utils
Architecture: all
Recommends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16)
Depends: debconf (>= 0.5) | debconf-2.0, console-terminus (>= 4.16), xkb-data (>= 0.9)
Suggests: lsb-base (>= 3.0-6)
Conflicts: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: Setup the font and the keyboard on the console
 The package provides the Linux console with the same versatile
 keyboard configuration that X Window uses.  As a result there is no
 need to duplicate or change the keyboard files just to make simple
 customisations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the world
 languages.  It provides an unified set of font faces - the classic
 VGA, the simplistic Fixed, and the cleaned Terminus, TerminusBold and
 TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: debconf (>= 0.5) | debconf-2.0
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup, console-terminus, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: An experimental micro version of console-setup package
 This package can be useful when Debian system is installed on
 handhelds or other devices with small storage space.  It was created
 as proof of concept for a method to implement versatile keyboard
 configuration in the Debian installer.
 .
 This package supports only UTF-8.  The legacy 8-bit encodings are not
 supported.

Package: bdf2psf
Architecture: all
Section: utils
Priority: optional
Depends: perl
Description: Font converter to generate console fonts from BDF source fonts
 This is a command line converter that can be used in scripts to build
 automatically console fonts from BDF sources.  The converter comes
 with a collection of font encodings that cover many of the world
 languages; notice that the font encoding (so called SFM) does not
 need to follow the actually used encoding (so called ACM).  When the
 source font does not define a glyph for a symbol in the font encoding
 the glyph position in the console font is not wasted but used for
 another symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the 8th column of the glyph matrix of symbols
 positioned in the pseudographic area to the 9th column.  In order to
 create fonts for text video modes the width of the glyph matrix of
 the source BDF font should be 7, 8 or 9 pixels, otherwise the
 converter creates fonts suitable for framebuffer only.

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

xkbdir = /usr/share/X11/xkb
export xkbdir

main_build:
	$(MAKE)
	cd Keyboard && $(MAKE) build-mini
	touch main_build

debian/console-setup.config debian/console-setup-mini.config: debian/config.proto main_build
	awk ' \
/## *PACKAGE *##/ { \
    printf "package=$(notdir $(basename $@))"; \
    next; \
} \
/## *FONTSETS *##/ { \
    printf "fontsets='\''"; \
    system("cd Fonts && ls *.psf | sed '\''s/.psf$$//'\''"); \
    printf "'\''"; \
    next; \
} \
/## *CHARMAPS *##/ { \
    printf "charmaps='\''"; \
    system("cd Keyboard && ls acm/*.acm |sed -e '\''s/^acm.//'\'' -e '\''s/.acm$$//'\''"); \
    printf "UTF-8'\''\n"; \
    next; \
} \
/## *KBDNAMES *##/ { \
    printf "kbdnames='\''"; \
    system("cd Keyboard && ./kbdnames-maker MyKeyboardNames.pl"); \
    printf "'\''"; \
    next; \
} \
{ \
   print; \
}' debian/config.proto >$@

build: main_build debian/console-setup.config debian/console-setup-mini.config

.PHONY : clean
clean:
	dh_testdir
	debconf-updatepo
	-$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/*.config
	-rm -f debian/*~
	dh_clean

.PHONY : install
install: install-main install-mini install-bdf2psf

.PHONY : install-main
install-main: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup -k
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install
	rm debian/console-setup/usr/share/consolefonts/*-Terminus*.psf.gz
	rm -rf debian/console-setup/etc/console-setup/ckb/
	install -d debian/console-setup/usr/share/doc/console-setup/examples/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/doc/console-setup/examples/
	dh_installinit --no-start --name keyboard-setup -- start 06 S .
	dh_installinit --name console-setup -- start 49 S .
	rm -rf `find debian/console-setup -name .cvsignore`
	rm -rf `find debian/console-setup -name .svn`

.PHONY : install-mini
install-mini: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup-mini -k
	dh_install -pconsole-setup-mini Keyboard/*.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-mini Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni3-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Vietnamese-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Keyboard/ckbcomp-mini usr/bin
	dh_link -pconsole-setup-mini usr/bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-mini setupcon bin
	install -d debian/console-setup-mini/etc/default/
	install -d debian/console-setup-mini/etc/console-setup/
	install -d debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/
	cp config debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/console-setup
	rm -rf `find debian/console-setup-mini -name .cvsignore`
	rm -rf `find debian/console-setup-mini -name .svn`

.PHONY : install-bdf2psf
install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_clean -pbdf2psf -k
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	rm -rf `find debian/bdf2psf -name .cvsignore`
	rm -rf `find debian/bdf2psf -name .svn`

.PHONY : install-udeb
install-udeb: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup-amiga-ekmap -k
	dh_clean -pconsole-setup-ataritt-ekmap -k
	dh_clean -pconsole-setup-macintoshold-ekmap -k
	dh_clean -pconsole-setup-pc-ekmap -k
	dh_clean -pconsole-setup-sun4-ekmap -k
	dh_clean -pconsole-setup-sun5-ekmap -k
	dh_clean -pconsole-setup-fonts-udeb -k
	dh_clean -pconsole-setup-udeb -k
# console-setup-*-ekmap
	dh_install -pconsole-setup-amiga-ekmap Keyboard/amiga.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-ataritt-ekmap Keyboard/ataritt.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun5-ekmap Keyboard/sun5.ekmap.gz \
		usr/share/console-setup-mini
# console-setup-fonts-udeb
	dh_install -pconsole-setup-fonts-udeb Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni3-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Vietnamese-Fixed16.psf.gz \
		usr/share/consolefonts
# console-setup-udeb
	dh_install -pconsole-setup-udeb Keyboard/ckbcomp-mini usr/bin
	dh_link -pconsole-setup-udeb usr/bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-udeb setupcon bin
	dh_install -p console-setup-udeb debian/console-setup.config usr/share/console-setup-mini
	dh_installdirs -p console-setup-udeb etc/default
	dh_installdirs -p console-setup-udeb etc/console-setup/
	dh_installdirs -p console-setup-udeb usr/share/doc/console-setup-mini/examples/

## console-setup 1.13ubuntu13

=== Fonts/Makefile ===
SHELL = /bin/sh

build : gziped_good_psf_fonts

%.gz : %
	gzip -9 <$< >$@

# All available non-legacy font faces
FACES = Fixed13 Fixed14 Fixed15 Fixed16 \
	Fixed18 Fixed24x12 \
	FixedBold13 FixedBold14 FixedBold15 FixedBold16 \
	FixedBold18 FixedBold24x12  \
	FixedOblique13 \
	Terminus12x6 Terminus14 Terminus16 Terminus24x12 \
	Terminus20x10 Terminus28x14 Terminus32x16 \
	TerminusBold12x6 TerminusBold14 TerminusBold16 TerminusBold20x10 \
	TerminusBold24x12 TerminusBold28x14 TerminusBold32x16 \
	TerminusBoldVGA14 TerminusBoldVGA16 \
	Courier13 Courier14 Courier15 Courier16 \
	CourierBold13 CourierBold14 CourierBold15 \
	Lucid12 Lucid13 Lucid15 Lucid16 Lucid22x12 Lucid29x16 \
	LucidBold11 LucidBold13 LucidBold15 \
	LucidBold16 LucidBold22x12 LucidBold29x16 \
	Goha12 Goha14 Goha16 GohaClassic12 GohaClassic14 GohaClassic16

LEGACY_FACES = VGA8 VGA10 VGA12 VGA14 VGA16 VGA19

ALL_FACES = $(FACES) $(LEGACY_FACES)

all-CODESETS = Arabic Armenian CyrAsia CyrKoi CyrSlav Ethiopian Georgian Greek Hebrew Lao Lat15 Lat2 Lat38 Lat7 Thai Uni1 Uni2 Uni3 Vietnamese

Fixed13-BDFS = 8x13-IL2.bdf+8x13.bdf+8x13c.bdf
Fixed14-BDFS = 7x14-IL2.bdf+7x14.bdf+7x14c.bdf+h14.bdf+etl14-unicode.bdf
Fixed15-BDFS = 9x15-IL2.bdf+9x15.bdf+9x15c.bdf
Fixed16-BDFS = georgian16.bdf+unifont.bdf+h16.bdf+etl16-unicode.bdf
Fixed18-BDFS = 9x18.bdf
Fixed24x12-BDFS = h24.bdf+etl24-unicode.bdf

FixedBold13-BDFS = 8x13B.bdf+8x13Bc.bdf
FixedBold14-BDFS = h14_b.bdf+7x14B-IL2.bdf+7x14B.bdf+7x14c.bdf
FixedBold15-BDFS = 9x15B-IL2.bdf+9x15B.bdf+9x15Bc.bdf
FixedBold16-BDFS = h16_b.bdf
FixedBold18-BDFS = 9x18B.bdf
FixedBold24x12-BDFS = h24_b.bdf

# We have to complement 8x13O.bdf because it doesn't contain box drawings
FixedOblique13-BDFS = 8x13O.bdf+8x13.bdf

Terminus12x6-BDFS = ter-u12n.bdf
Terminus14-BDFS = ter-u14n.bdf
Terminus16-BDFS = ter-u16n.bdf
Terminus20x10-BDFS = ter-u20n.bdf
Terminus24x12-BDFS = ter-u24n.bdf
Terminus28x14-BDFS = ter-u28n.bdf
Terminus32x16-BDFS = ter-u32n.bdf
TerminusBold12x6-BDFS = ter-u12b.bdf
TerminusBold14-BDFS = ter-u14b.bdf
TerminusBold16-BDFS = ter-u16b.bdf
TerminusBold20x10-BDFS = ter-u20b.bdf
TerminusBold24x12-BDFS = ter-u24b.bdf
TerminusBold28x14-BDFS = ter-u28b.bdf
TerminusBold32x16-BDFS = ter-u32b.bdf
TerminusBoldVGA14-BDFS = ter-u14v.bdf
TerminusBoldVGA16-BDFS = ter-u16v.bdf

Courier13-BDFS = 75dpi-courR12-IL2.bdf+75dpi-courR12.bdf+75dpi-courR12c.bdf
Courier14-BDFS = 100dpi-courR10-IL2.bdf+100dpi-courR10.bdf
Courier15-BDFS = 75dpi-courR14-IL2.bdf+75dpi-courR14.bdf+75dpi-courR14c.bdf
Courier16-BDFS = 8x16c.bdf+8x16-IL2.bdf

CourierBold13-BDFS = 75dpi-courB12-IL2.bdf+75dpi-courB12.bdf+75dpi-courB12c.bdf
CourierBold14-BDFS = 100dpi-courB10-IL2.bdf+100dpi-courB10.bdf
CourierBold15-BDFS = 75dpi-courB14-IL2.bdf+75dpi-courB14.bdf+75dpi-courB14c.bdf

Lucid12-BDFS = 100dpi-lutRS08-IL2.bdf+100dpi-lutRS08.bdf
Lucid13-BDFS = 75dpi-lutRS12-IL2.bdf+75dpi-lutRS12.bdf+75dpi-lutRS12c.bdf
Lucid15-BDFS = 75dpi-lutRS14-IL2.bdf+75dpi-lutRS14.bdf+75dpi-lutRS14c.bdf
Lucid16-BDFS = 100dpi-lutRS10-IL2.bdf+100dpi-lutRS10.bdf
Lucid22x12-BDFS = 100dpi-lutRS14-IL2.bdf+100dpi-lutRS14.bdf
Lucid29x16-BDFS = 100dpi-lutRS19.bdf

LucidBold11-BDFS = 100dpi-lutBS08-IL2.bdf+100dpi-lutBS08.bdf
LucidBold13-BDFS = 75dpi-lutBS12-IL2.bdf+75dpi-lutBS12.bdf+75dpi-lutBS12c.bdf
LucidBold15-BDFS = 75dpi-lutBS14-IL2.bdf+75dpi-lutBS14.bdf+75dpi-lutBS14c.bdf
LucidBold16-BDFS = 100dpi-lutBS10-IL2.bdf+100dpi-lutBS10.bdf
LucidBold22x12-BDFS = 100dpi-lutBS14-IL2.bdf+100dpi-lutBS14.bdf
LucidBold29x16-BDFS = 100dpi-lutBS19.bdf

Goha12-BDFS = Goha12.bdf
Goha14-BDFS = Goha14.bdf
Goha16-BDFS = Goha16.bdf

GohaClassic12-BDFS = GohaClassic12.bdf
GohaClassic14-BDFS = GohaClassic14.bdf
GohaClassic16-BDFS = GohaClassic16.bdf

###################################################################

VGA8-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA10-CODESETS = Lat15 Lat2
VGA12-CODESETS = Lat15 Lat2
VGA14-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA16-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA19-CODESETS = Lat15

Arabic-legacy14-BDFS = legacy14i.bdf+legacy14f.bdf+legacy14l.bdf+legacy14b.bdf
Arabic-legacy16-BDFS = legacy16c.bdf+legacy16f.bdf+legacy16k.bdf
Arabic-legacy8-BDFS = legacy8f.bdf+legacy8d.bdf+legacy8i.bdf+legacy8b.bdf
CyrKoi-legacy14-BDFS = legacy14b.bdf+legacy14a.bdf+legacy14c.bdf+legacy14g.bdf
CyrKoi-legacy16-BDFS = legacy16b.bdf+legacy16a.bdf
CyrKoi-legacy8-BDFS = legacy8b.bdf+legacy8a.bdf
CyrSlav-legacy14-BDFS = legacy14a.bdf+legacy14l.bdf+legacy14c.bdf+legacy14e.bdf+legacy14i.bdf
CyrSlav-legacy16-BDFS = legacy16a.bdf+legacy16k.bdf+legacy16c.bdf+legacy16b.bdf
CyrSlav-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8c.bdf+legacy8f.bdf
Greek-legacy14-BDFS = legacy14g.bdf+legacy14l.bdf+legacy14b.bdf+legacy14i.bdf
Greek-legacy16-BDFS = legacy16a.bdf+legacy16k.bdf+legacy16c.bdf
Greek-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Hebrew-legacy14-BDFS = legacy14h.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Hebrew-legacy16-BDFS = legacy16g.bdf+legacy16k.bdf+legacy16c.bdf
Hebrew-legacy8-BDFS = legacy8e.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat15-legacy10-BDFS = legacy10b.bdf+legacy10a.bdf+legacy10d.bdf
Lat15-legacy12-BDFS = legacy12a.bdf+legacy12d.bdf+legacy12c.bdf
Lat15-legacy14-BDFS = legacy14i.bdf+legacy14l.bdf+legacy14a.bdf+legacy14b.bdf
Lat15-legacy16-BDFS = legacy16c.bdf+legacy16k.bdf+legacy16a.bdf
Lat15-legacy19-BDFS = legacy19a.bdf
Lat15-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Lat2-legacy10-BDFS = legacy10d.bdf+legacy10a.bdf+legacy10b.bdf
Lat2-legacy12-BDFS = legacy12c.bdf+legacy12d.bdf+legacy12a.bdf
Lat2-legacy14-BDFS = legacy14k.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Lat2-legacy16-BDFS = legacy16c.bdf+legacy16k.bdf
Lat2-legacy8-BDFS = legacy8h.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat38-legacy14-BDFS = legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat38-legacy16-BDFS = legacy16e.bdf+legacy16h.bdf+legacy16a.bdf
Lat38-legacy8-BDFS = legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Lat7-legacy14-BDFS = legacy14l.bdf+legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat7-legacy16-BDFS = legacy16e.bdf+legacy16k.bdf+legacy16c.bdf
Lat7-legacy8-BDFS = legacy8i.bdf+legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Uni1-legacy14-BDFS = legacy14a.bdf+legacy14e.bdf+legacy14f.bdf+legacy14l.bdf+legacy14h.bdf+legacy14c.bdf
Uni1-legacy16-BDFS = legacy16e.bdf+legacy16a.bdf+legacy16f.bdf+legacy16g.bdf+legacy16k.bdf+legacy16b.bdf
Uni1-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8d.bdf+legacy8i.bdf+legacy8e.bdf+legacy8b.bdf
Uni2-legacy14-BDFS = legacy14e.bdf+legacy14a.bdf+legacy14g.bdf+legacy14l.bdf+legacy14c.bdf+legacy14i.bdf
Uni2-legacy16-BDFS = legacy16a.bdf+legacy16e.bdf+legacy16h.bdf+legacy16k.bdf+legacy16b.bdf
Uni2-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf

###################################################################

# $(call add_bdf, xxx+yyy+zzz) = bdf/xxx.bdf+bdf/yyy.bdf+bdf/zzz.bdf
empty =
space = $(empty) $(empty)
add_bdf = $(patsubst +%, %, \
		$(subst $(space),+, \
			$(addprefix bdf/,$(subst +, , $(1)))))

ALL_PSF_FONTS = $(sort $(foreach face, $(ALL_FACES), \
			$(addsuffix -$(face).psf, $(all-CODESETS))))

GOOD_PSF_FONTS = $(filter \
		%-Fixed13.psf %-Fixed14.psf %-Fixed15.psf \
		%-Fixed16.psf %-Fixed18.psf \
		%-Terminus12x6.psf %-Terminus14.psf %-Terminus16.psf	\
		%-Terminus24x12.psf %-Terminus20x10.psf			\
		%-Terminus28x14.psf %-Terminus32x16.psf			\
		%-TerminusBold14.psf %-TerminusBold16.psf		\
		%-TerminusBold20x10.psf %-TerminusBold24x12.psf		\
		%-TerminusBold28x14.psf %-TerminusBold32x16.psf		\
		%-TerminusBoldVGA14.psf %-TerminusBoldVGA16.psf		\
		%-Goha12.psf %-Goha14.psf %-Goha16.psf \
		%-GohaClassic12.psf %-GohaClassic14.psf %-GohaClassic16.psf \
		%-VGA8.psf %-VGA14.psf %-VGA16.psf, \
	$(PSF_FONTS))

GZIPED_GOOD_PSF_FONTS=$(addsuffix .gz, $(GOOD_PSF_FONTS))
GZIPED_PSF_FONTS=$(addsuffix .gz, $(PSF_FONTS))
GZIPED_ALL_PSF_FONTS=$(addsuffix .gz, $(ALL_PSF_FONTS))

# These fonts can be used only with framebuffer
FB_PSF_FONTS = $(filter %x6.psf %x10.psf %x12.psf %x14.psf %x16.psf, $(ALL_PSF_FONTS))
$(FB_PSF_FONTS) : fb_option = --fb

# These fonts can be used both in text-mode and with framebuffer
NONFB_PSF_FONTS = $(filter-out %x6.psf %x10.psf %x12.psf %x14.psf %x16.psf, $(ALL_PSF_FONTS))
$(NONFB_PSF_FONTS) : fb_option =

# Use rm soft.Makefile && make soft.Makefile in order to update soft.Makefile
include soft.Makefile
# The script 'fontcodesets' computes which codesets a font supports
soft.Makefile :
	echo "PSF_FONTS = " $(sort $(foreach face, $(FACES), \
	$(addsuffix -$(face).psf, $(shell ./fontcodesets $($(face)-BDFS)))) \
	$(foreach face, $(LEGACY_FACES), \
		$(addsuffix -$(face).psf, $($(face)-CODESETS)))) \
	>soft.Makefile


# i.e. Arabic/univga16
$(ALL_PSF_FONTS) : codeset/face = $(subst -,/,$(@:%.psf=%))
# i.e. Arabic/
$(ALL_PSF_FONTS) : codeset/ = $(dir $(codeset/face))
# i.e. Arabic
$(ALL_PSF_FONTS) : codeset = $(subst /,-,$(codeset/:%/=%))
# i.e. univga16
$(ALL_PSF_FONTS) : face = $(strip $(notdir $(codeset/face)))
# legacy hack
$(ALL_PSF_FONTS)  : VGA8-BDFS = $(if $(strip $($(codeset)-legacy8-BDFS)), \
			$($(codeset)-legacy8-BDFS),legacy8a.bdf)
$(ALL_PSF_FONTS)  : VGA10-BDFS = $(if $(strip $($(codeset)-legacy10-BDFS)),\
			$($(codeset)-legacy10-BDFS),legacy10a.bdf)
$(ALL_PSF_FONTS)  : VGA12-BDFS = $(if $(strip $($(codeset)-legacy12-BDFS)),\
			$($(codeset)-legacy12-BDFS),legacy12a.bdf)
$(ALL_PSF_FONTS)  : VGA14-BDFS = $(if $(strip $($(codeset)-legacy14-BDFS)),\
			$($(codeset)-legacy14-BDFS),legacy14a.bdf)
$(ALL_PSF_FONTS)  : VGA16-BDFS = $(if $(strip $($(codeset)-legacy16-BDFS)),\
			u_vga16.bdf+$($(codeset)-legacy16-BDFS),u_vga16.bdf)
$(ALL_PSF_FONTS)  : VGA19-BDFS = $(if $(strip $($(codeset)-legacy19-BDFS)),\
			$($(codeset)-legacy19-BDFS),legacy19a.bdf)
# i.e. bdf/univga16.bdf
$(ALL_PSF_FONTS) : bdfs = $(call add_bdf, $($(face)-BDFS))
# i.e. fontsets/Arabic.512
$(ALL_PSF_FONTS) : codesetfile = $(wildcard fontsets/$(codeset).*)
# i.e. 512
$(ALL_PSF_FONTS) : size = $(subst .,,$(suffix $(codesetfile)))

$(ALL_PSF_FONTS) : equivalents = $(if $(findstring Uni1, $(codeset)),	 \
				standard.equivalents+arabic.equivalents, \
				standard.equivalents)

$(ALL_PSF_FONTS) :
	./bdf2psf $(fb_option) --log $(@:%.psf=%.log) $(bdfs) \
		$(equivalents) required.set+$(codesetfile)+:useful.set \
                $(size) $@ $(@:%.psf=%.sfm)

good_psf_fonts : $(GOOD_PSF_FONTS)

gziped_good_psf_fonts : $(GZIPED_GOOD_PSF_FONTS)

# This builds all CODESET-TYPEFASE combinations, even when the font 
# doesn't define symbols for the particular CODESET
fullall : $(ALL_PSF_FONTS)

.PHONY: clean
clean:
	-rm -f *~
	-rm -f *.psf *.psf.gz *.sfm *.log
	-rm -f fontsets/*~

.PHONY: maintainer-clean
maintainer-clean: clean
	rm soft.Makefile
	make soft.Makefile
